=== debian/changelog ===
kew (2.0.3+ds-2) unstable; urgency=medium

  * Added patch to fix build on HURD 

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 19 Jan 2024 14:23:42 +0100

kew (2.0.3+ds-1) unstable; urgency=medium

  * New upstream release
  * Re-added patch for -g gcc flag in makefile

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 14 Jan 2024 22:10:12 +0100

kew (1.11+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop patches; upstreamed

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 10 Dec 2023 19:23:19 +0100

kew (1.9+ds-1) unstable; urgency=medium

  * New upstream release
  * Extend hurd patch

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 02 Dec 2023 19:16:33 +0100

kew (1.8+ds-1) unstable; urgency=medium

  * New upstream release
  * Fixed watchfile to correctly monitor releases
  * Drop armel-compilation patch, upstreamed
  * Added patch for hurd

 -- Matthias Geiger <werdahias@riseup.net>  Tue, 28 Nov 2023 23:46:56 +0100

kew (1.7.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Removed old references to cue from d/control, d/watch and d/copyright
  * Removed hurd patch; upstreamed
  * Improved description in d/control
  * Added new dependencies in d/control
  * Refresh patch for new dependencies
  * Versioned dependency on miniaudio in d/control
  * Rebased patch for new upstream

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 23 Nov 2023 21:07:08 +0100

kew (1.5.2+ds-2) unstable; urgency=medium

  * Add patches to fix build failures on armel and hurd

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 15 Nov 2023 19:02:14 +0100

kew (1.5.2+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1055232)

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 12 Nov 2023 22:58:09 +0100
