=== debian/control ===
Source: kew
Section: sound
Priority: optional
Maintainer: Matthias Geiger <werdahias@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libavformat-dev,
 libchafa-dev,
 libfftw3-dev,
 libfreeimage-dev,
 libglib2.0-dev,
 libminiaudio-dev (>= 0.11.21~~),
 libstb-dev,
 libopus-dev,
 libopusfile-dev,
 libvorbis-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/ravachol/kew
Vcs-Browser: https://salsa.debian.org/debian/kew
Vcs-Git: https://salsa.debian.org/debian/kew.git

Package: kew
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: play music from the commandline
 kew is a commandline music player. It supports gapless playback,
 displaying album covers as ASCII art or as a normal image,
 and 24-bit audio. Saving a current selection of songs as m3u is
 also supported.
