## kew 2.3.1+ds

=== debian/changelog ===
kew (2.3.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Add libnotify-bin as Recommends: for notification support

 -- Matthias Geiger <werdahias@riseup.net>  Tue, 13 Feb 2024 00:07:25 +0100

kew (2.2.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Rebase patch for new upstream

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 08 Feb 2024 18:28:04 +0100

kew (2.1.1+ds-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 28 Jan 2024 14:47:34 +0100
