=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+Recommends: libnotify-bin
 Description: play music from the commandline
  kew is a commandline music player. It supports gapless playback,
  displaying album covers as ASCII art or as a normal image,
