## kew 2.4.2+ds

=== debian/changelog ===
kew (2.4.2+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:07:47 +1100

kew (2.4.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Updated urls in d/upstream/metadata
  * Rebase patches for new upstream

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 01 Mar 2024 21:35:32 +0100
