## kew 2.5.0+ds

=== debian/changelog ===
kew (2.5.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh makefile patch for new upstream release

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 20 Jun 2024 23:48:05 +0200

kew (2.4.4+ds-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0; no changes needed
  * Mention sixel requirement in d/control

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 21 Apr 2024 14:33:18 +0200

kew (2.4.3+ds-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 20 Mar 2024 21:54:58 +0100
