=== debian/changelog ===
kew (2.6.0+ds-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:14:28 +0200

kew (2.6.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 05 Jul 2024 22:20:33 +0200
