=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kew
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Geiger <werdahias@riseup.net>
+Maintainer: Matthias Geiger <werdahias@riseup.net>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -16,7 +15,7 @@
  libopus-dev,
  libopusfile-dev,
  libvorbis-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ravachol/kew
 Vcs-Browser: https://salsa.debian.org/debian/kew
 Vcs-Git: https://salsa.debian.org/debian/kew.git
@@ -32,3 +31,6 @@
  displaying album covers as ASCII art or as a normal image,
  and 24-bit audio. Saving a current selection of songs as m3u is
  also supported.
+ .
+ Note: For proper cover display a terminal with sixel support is needed,
+ such as Konsole or foot.
