=== debian/changelog ===
kew (2.8.2+ds-2) unstable; urgency=medium

  * Add patch to force enabling of libatomic
  * d/p/fix-hurd-build: Extend for new upstream release
  * d/p/reeable-g-flag.diff: Refresh for new patchset

 -- Matthias Geiger <werdahias@debian.org>  Fri, 04 Oct 2024 00:36:13 +0200

kew (2.8.2+ds-1) unstable; urgency=medium

  * New upstream release
  * d/p/fix-hurd-build.diff: refresh for new upstream
  * d/p/reenable-g-flag.diff: refresh for new upstream

 -- Matthias Geiger <werdahias@debian.org>  Tue, 24 Sep 2024 22:24:31 +0200

kew (2.7.2+ds-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Fri, 06 Sep 2024 23:16:24 +0200

kew (2.7.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh makefile patch
  * Build-depend on libnotify-dev; drop libnotify-bin from Recommends
  * d/control, d/copyright: Updated my mail address

 -- Matthias Geiger <werdahias@debian.org>  Tue, 27 Aug 2024 10:52:27 +0200
