=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kew
 Section: sound
 Priority: optional
-Maintainer: Matthias Geiger <werdahias@riseup.net>
+Maintainer: Matthias Geiger <werdahias@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,6 +10,7 @@
  libfftw3-dev,
  libfreeimage-dev,
  libglib2.0-dev,
+ libnotify-dev,
  libminiaudio-dev (>= 0.11.21~~),
  libstb-dev,
  libopus-dev,
@@ -25,7 +26,6 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Recommends: libnotify-bin
 Description: play music from the commandline
  kew is a commandline music player. It supports gapless playback,
  displaying album covers as ASCII art or as a normal image,
