=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
repack,compression=gz,\
dversionmangle=s/\+(ds)(\.\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/kew-$1\.tar\.gz/ \
  https://github.com/ravachol/kew/tags  .*/v?(\d\S*)@ARCHIVE_EXT@
