## kew 3.0.3+ds

=== debian/changelog ===
kew (3.0.3+ds-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Drop upstreamed patches; refresh remaining patch
  * d/control: Update build-dependecies, sort them
  * d/control: Update S-V to 4.7.2, no changes needed
  * d/copyright: Update for new upstream
  * d/copyright: Adjust excluded files

 -- Matthias Geiger <werdahias@debian.org>  Thu, 27 Feb 2025 23:00:49 +0100
