=== debian/control ===
--- 
+++ 
@@ -7,16 +7,19 @@
  debhelper-compat (= 13),
  libavformat-dev,
  libchafa-dev,
+ libfaad-dev,
  libfftw3-dev,
  libfreeimage-dev,
  libglib2.0-dev,
  libnotify-dev,
  libminiaudio-dev (>= 0.11.21~~),
- libstb-dev,
+ libogg-dev,
  libopus-dev,
  libopusfile-dev,
+ libstb-dev,
+ libtag1-dev,
  libvorbis-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ravachol/kew
 Vcs-Browser: https://salsa.debian.org/debian/kew
 Vcs-Git: https://salsa.debian.org/debian/kew.git
