=== debian/changelog ===
kew (3.1.2+ds-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update for new upstream
  * d/patches: Drop patches applied upstream
  * d/rules: Explicitly enable debug symbols
  * d/control: s/libtag1-dev/libtag-dev (Closes: #1101202)
  * d/control: Require libstb >= 0.0~git20241109.5c20573+ds-1
  * d/control: Add new dependency on curl
  * d/copyright: Exclude stb_image

 -- Matthias Geiger <werdahias@debian.org>  Tue, 25 Mar 2025 19:34:48 +0100

kew (3.0.3+ds-4) unstable; urgency=medium

  * d/p/fix-hurd-build.diff: Extend some more

 -- Matthias Geiger <werdahias@debian.org>  Sun, 09 Mar 2025 18:16:11 +0100

kew (3.0.3+ds-3) unstable; urgency=medium

  * Fix makefile patch (thanks to helmut)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 08 Mar 2025 20:52:15 +0100

kew (3.0.3+ds-2) unstable; urgency=medium

  * Add patch to fix build on HURD
  * Add patch adding more hardening flags

 -- Matthias Geiger <werdahias@debian.org>  Sat, 08 Mar 2025 17:39:27 +0100
