## kew 3.2.0%2Bds

=== debian/changelog ===
kew (3.2.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Sat, 26 Apr 2025 15:57:05 +0200
