=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  debhelper-compat (= 13),
  libavformat-dev,
  libchafa-dev,
+ libcurl4-gnutls-dev,
  libfaad-dev,
  libfftw3-dev,
  libfreeimage-dev,
@@ -16,8 +17,8 @@
  libogg-dev,
  libopus-dev,
  libopusfile-dev,
- libstb-dev,
- libtag1-dev,
+ libstb-dev (>= 0.0~git20241109.5c20573+ds-1),
+ libtag-dev,
  libvorbis-dev,
 Standards-Version: 4.7.2
 Homepage: https://github.com/ravachol/kew
