## kew 3.4.0+ds

=== debian/changelog ===
kew (3.4.0+ds-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update for new upstream
  * d/control: Drop dependency on libcurl
  * Add patch fixing prefix in makefile
  * d/control: Fix package versioning for libstb
  * d/rules: Delete extra whitespace

 -- Matthias Geiger <werdahias@debian.org>  Sun, 17 Aug 2025 18:16:03 +0200
