=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  debhelper-compat (= 13),
  libavformat-dev,
  libchafa-dev,
- libcurl4-gnutls-dev,
  libfaad-dev,
  libfftw3-dev,
  libfreeimage-dev,
@@ -17,7 +16,7 @@
  libogg-dev,
  libopus-dev,
  libopusfile-dev,
- libstb-dev (>= 0.0~git20241109.5c20573+ds-1),
+ libstb-dev (>= 0.0~git20241109.5c20573+ds~~),
  libtag-dev,
  libvorbis-dev,
 Standards-Version: 4.7.2
