## kew 3.4.1+ds

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
         PKG_CONFIG_PATH := /usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:$(PKG_CONFIG_PATH)
     endif
 else
-    PREFIX ?= /usr
+    PREFIX ?= /usr/local
     PKG_CONFIG_PATH := /usr/lib/x86_64-linux-gnu/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig:$(PKG_CONFIG_PATH)
 endif
 
@@ -53,28 +53,28 @@
 # Compiler flags
 COMMONFLAGS = -I/usr/include -I/opt/homebrew/include -I/usr/local/include -I/usr/lib -Iinclude/minimp4 \
          -I/usr/include/chafa -I/usr/lib/chafa/include -I/usr/include/ogg -I/usr/include/opus \
-         -I/usr/include/stb -Iinclude/stb_image -Iinclude/alac/codec -I/usr/include/glib-2.0 \
-         -I/usr/lib/glib-2.0/include -Iinclude/miniaudio -I/usr/include/gdk-pixbuf-2.0
+         -I/usr/include/stb -Iinclude/stb_image -I/usr/include/glib-2.0 \
+         -I/usr/lib/glib-2.0/include -Iinclude/miniaudio -Iinclude -Iinclude/nestegg -I/usr/include/gdk-pixbuf-2.0
 
 ifeq ($(DEBUG), 1)
-COMMONFLAGS += -g
+COMMONFLAGS += -g -DDEBUG
 else
 COMMONFLAGS += -O2
 endif
 
 COMMONFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags gio-2.0 chafa fftw3f opus opusfile vorbis ogg glib-2.0 taglib)
 COMMONFLAGS += -fstack-protector-strong -Wformat -Werror=format-security -fPIE -D_FORTIFY_SOURCE=2
-COMMONFLAGS += -Wall -Wextra -Wpointer-arith -flto
+COMMONFLAGS += -Wall -Wextra -Wpointer-arith
 CFLAGS = $(COMMONFLAGS)
 
 # Compiler flags for C++ code
 CXXFLAGS = $(COMMONFLAGS) -std=c++11
 
 # Libraries
-LIBS = -L/usr/lib -lm -lopusfile -lcurl -lglib-2.0 -lpthread $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs gio-2.0 chafa fftw3f opus opusfile ogg vorbis vorbisfile glib-2.0 taglib)
+LIBS = -L/usr/lib -lm -lopusfile -lglib-2.0 -lpthread $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs gio-2.0 chafa fftw3f opus opusfile ogg vorbis vorbisfile glib-2.0 taglib)
 LIBS += -lstdc++
 
-LDFLAGS = -logg -lz -flto
+LDFLAGS = -logg -lz
 
 ifeq ($(UNAME_S), Linux)
   CFLAGS += -fPIE -fstack-clash-protection
@@ -87,6 +87,8 @@
   ifneq ($(DEBUG), 1)
   LDFLAGS += -s
   endif
+else ifeq ($(UNAME_S), Darwin)
+  LIBS += -framework CoreAudio -framework CoreFoundation
 endif
 
 # Conditionally add  USE_DBUS is enabled
@@ -119,8 +121,8 @@
 OBJDIR = src/obj
 
 SRCS = src/common_ui.c  src/common.c src/sound.c src/directorytree.c src/notifications.c \
-       src/soundcommon.c src/m4a.c src/search_ui.c  src/soundradio.c src/searchradio_ui.c  src/playlist_ui.c \
-       src/player.c src/soundbuiltin.c src/mpris.c src/playerops.c \
+       src/soundcommon.c src/m4a.c src/search_ui.c src/playlist_ui.c \
+       src/player_ui.c src/soundbuiltin.c src/mpris.c src/playerops.c \
        src/utils.c src/file.c src/imgfunc.c src/cache.c src/songloader.c \
        src/playlist.c src/term.c src/settings.c src/visuals.c src/kew.c
 
@@ -133,37 +135,23 @@
 
 all: kew
 
-# ALAC codec sources
-ALAC_SRCS_CPP = include/alac/codec/ALACDecoder.cpp include/alac/codec/alac_wrapper.cpp
-ALAC_SRCS_C = include/alac/codec/ag_dec.c include/alac/codec/ALACBitUtilities.c \
-              include/alac/codec/dp_dec.c include/alac/codec/EndianPortable.c \
-              include/alac/codec/matrix_dec.c
+# Generate object lists
+OBJS_C = $(SRCS:src/%.c=$(OBJDIR)/%.o)
 
-# Generate object lists
-OBJS_C = $(SRCS:src/%.c=$(OBJDIR)/%.o) $(ALAC_SRCS_C:include/alac/codec/%.c=$(OBJDIR)/alac/%.o)
-OBJS_CPP = $(ALAC_SRCS_CPP:include/alac/codec/%.cpp=$(OBJDIR)/alac/%.o)
+NESTEGG_SRCS = include/nestegg/nestegg.c
+NESTEGG_OBJS = $(NESTEGG_SRCS:include/nestegg/%.c=$(OBJDIR)/nestegg/%.o)
 
 # All objects together
-OBJS = $(OBJS_C) $(OBJS_CPP)
+OBJS = $(OBJS_C) $(NESTEGG_OBJS)
 
 # Create object directories
 $(OBJDIR):
-	mkdir -p $(OBJDIR) $(OBJDIR)/alac
+	mkdir -p $(OBJDIR)
 
 ## Compile C sources
 $(OBJDIR)/%.o: src/%.c Makefile | $(OBJDIR)
 	@mkdir -p $(dir $@)
 	$(CC) $(CFLAGS) $(DEFINES) -c -o $@ $<
-
-# Compile ALAC C files
-$(OBJDIR)/alac/%.o: include/alac/codec/%.c Makefile | $(OBJDIR)
-	@mkdir -p $(dir $@)
-	$(CC) $(CFLAGS) $(DEFINES) -c -o $@ $<
-
-# Compile ALAC C++ files
-$(OBJDIR)/alac/%.o: include/alac/codec/%.cpp Makefile | $(OBJDIR)
-	@mkdir -p $(dir $@)
-	$(CXX) $(CXXFLAGS) $(DEFINES) -c -o $@ $<
 
 # Compile explicit C++ sources in src/
 $(OBJDIR)/%.o: src/%.cpp Makefile | $(OBJDIR)
@@ -174,6 +162,11 @@
 $(WRAPPER_OBJ): $(WRAPPER_SRC) Makefile | $(OBJDIR)
 	@mkdir -p $(dir $@)
 	$(CXX) $(CXXFLAGS) $(DEFINES) -c $< -o $@
+
+# Compile C files in include/nestegg
+$(OBJDIR)/nestegg/%.o: include/nestegg/%.c Makefile | $(OBJDIR)
+	@mkdir -p $(dir $@)
+	$(CC) $(CFLAGS) $(DEFINES) -c -o $@ $<
 
 # Link all objects safely together using C++ linker
 kew: $(OBJS) $(WRAPPER_OBJ) Makefile
