=== debian/changelog ===
kew (3.4.1+ds-1) unstable; urgency=medium

  * New upstream release

 -- Matthias Geiger <werdahias@debian.org>  Mon, 08 Sep 2025 20:19:16 +0200
