## kew 3.5.2+ds

=== Makefile ===
--- 
+++ 
@@ -39,22 +39,39 @@
 # Default USE_FAAD to auto-detect if not set by user
 ifeq ($(origin USE_FAAD), undefined)
 
-  USE_FAAD = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --exists faad && echo 1 || echo 0)
-
-  ifeq ($(USE_FAAD), 0)
-    # If pkg-config fails, try to find libfaad dynamically in common paths
-    USE_FAAD = $(shell [ -f /usr/lib/libfaad.so ] || [ -f /usr/local/lib/libfaad.so ] || \
-                       [ -f /opt/local/lib/libfaad.so ] || [ -f /opt/homebrew/lib/libfaad.dylib ] || \
-                       [ -f /opt/homebrew/opt/faad2/lib/libfaad.dylib ] || \
-                       [ -f /usr/local/lib/libfaad.dylib ] || [ -f /lib/x86_64-linux-gnu/libfaad.so.2 ] && echo 1 || echo 0)
-  endif
+  # Check if we're in Termux environment
+  ifneq ($(wildcard /data/data/com.termux/files/usr),)
+    # Termux environment - check common installation paths
+    USE_FAAD = $(shell [ -f "$(PREFIX)/lib/libfaad.so" ] || \
+                       [ -f "$(PREFIX)/lib/libfaad2.so" ] || \
+                       [ -f "$(PREFIX)/local/lib/libfaad.so" ] || \
+                       [ -f "$(PREFIX)/local/lib/libfaad2.so" ] || \
+                       [ -f "/data/data/com.termux/files/usr/lib/libfaad.so" ] || \
+                       [ -f "/data/data/com.termux/files/usr/bin/faad" ] || \
+                       [ -f "/data/data/com.termux/files/usr/lib/libfaad2.so" ] || \
+                       [ -f "/data/data/com.termux/files/usr/local/lib/libfaad.so" ] || \
+                       [ -f "/data/data/com.termux/files/usr/local/lib/libfaad2.so" ] && echo 1 || echo 0)
+  else
+    # Non-Android build - try pkg-config first
+    USE_FAAD = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --exists faad && echo 1 || echo 0)
+
+    ifeq ($(USE_FAAD), 0)
+        # If pkg-config fails, try to find libfaad dynamically in common paths
+        USE_FAAD = $(shell [ -f /usr/lib/libfaad.so ] || [ -f /usr/lib64/libfaad.so ] || [ -f /usr/lib64/libfaad2.so ] || \
+                        [ -f /usr/bin/faad ] || [ -f /usr/local/lib/libfaad.so ] || \
+                        [ -f /opt/local/lib/libfaad.so ] || [ -f /opt/homebrew/lib/libfaad.dylib ] || \
+                        [ -f /opt/homebrew/opt/faad2/lib/libfaad.dylib ] || \
+                         [ -f /usr/local/lib/libfaad.dylib ] || [ -f /lib/x86_64-linux-gnu/libfaad.so.2 ] && echo 1 || echo 0)
+    endif
+  endif
+
 endif
 
 # Compiler flags
 COMMONFLAGS = -I/usr/include -I/opt/homebrew/include -I/usr/local/include -I/usr/lib -Iinclude/minimp4 \
-         -I/usr/include/chafa -I/usr/lib/chafa/include -I/usr/include/ogg -I/usr/include/opus \
+         -I/usr/include/chafa -I/usr/lib/chafa/include -I/usr/lib64/chafa/include -I/usr/include/ogg -I/usr/include/opus \
          -I/usr/include/stb -Iinclude/stb_image -I/usr/include/glib-2.0 \
-         -I/usr/lib/glib-2.0/include -Iinclude/miniaudio -Iinclude -Iinclude/nestegg -I/usr/include/gdk-pixbuf-2.0
+         -I/usr/lib/glib-2.0/include -I/usr/lib64/glib-2.0/include -Iinclude/miniaudio -Iinclude -Iinclude/nestegg -I/usr/include/gdk-pixbuf-2.0
 
 ifeq ($(DEBUG), 1)
 COMMONFLAGS += -g -DDEBUG
@@ -63,8 +80,16 @@
 endif
 
 COMMONFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags gio-2.0 chafa fftw3f opus opusfile vorbis ogg glib-2.0 taglib)
+COMMONFLAGS += -DMA_NO_AAUDIO
 COMMONFLAGS += -fstack-protector-strong -Wformat -Werror=format-security -fPIE -D_FORTIFY_SOURCE=2
 COMMONFLAGS += -Wall -Wextra -Wpointer-arith
+
+  # Check if we're in Termux environment
+ifneq ($(wildcard /data/data/com.termux/files/usr),)
+  # Termux environment
+  COMMONFLAGS += -D__ANDROID__
+endif
+
 CFLAGS = $(COMMONFLAGS)
 
 # Compiler flags for C++ code
@@ -96,11 +121,16 @@
   DEFINES += -DUSE_DBUS
 endif
 
+DEFINES += -DPREFIX=\"$(PREFIX)\"
+
 # Conditionally add faad2 support if USE_FAAD is enabled
 ifeq ($(USE_FAAD), 1)
   ifeq ($(ARCH), arm64)
     CFLAGS += -I/opt/homebrew/opt/faad2/include
     LIBS += -L/opt/homebrew/opt/faad2/lib -lfaad
+  else ifeq ($(UNAME_O),Android)
+    CFLAGS += -I$(PREFIX)/include
+    LIBS += -L$(PREFIX)/lib -lfaad
   else
     CFLAGS += -I/usr/local/include
     LIBS += -L/usr/local/lib -lfaad
@@ -120,7 +150,7 @@
 
 OBJDIR = src/obj
 
-SRCS = src/common_ui.c  src/common.c src/sound.c src/directorytree.c src/notifications.c \
+SRCS = src/common_ui.c  src/common.c src/theme.c src/sound.c src/directorytree.c src/notifications.c \
        src/soundcommon.c src/m4a.c src/search_ui.c src/playlist_ui.c \
        src/player_ui.c src/soundbuiltin.c src/mpris.c src/playerops.c \
        src/utils.c src/file.c src/imgfunc.c src/cache.c src/songloader.c \
@@ -132,6 +162,8 @@
 
 MAN_PAGE = kew.1
 MAN_DIR ?= $(PREFIX)/share/man
+DATADIR ?= $(PREFIX)/share
+THEMEDIR = $(DATADIR)/kew/themes
 
 all: kew
 
@@ -176,13 +208,27 @@
 install: all
 	mkdir -p $(DESTDIR)$(MAN_DIR)/man1
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
+	mkdir -p $(DESTDIR)$(THEMEDIR)
 	install -m 0755 kew $(DESTDIR)$(PREFIX)/bin/kew
 	install -m 0644 docs/kew.1 $(DESTDIR)$(MAN_DIR)/man1/kew.1
+	@if [ -d themes ]; then \
+		for theme in themes/*.theme; do \
+			if [ -f "$$theme" ]; then \
+				install -m 0644 "$$theme" $(DESTDIR)$(THEMEDIR)/; \
+			fi; \
+		done; \
+		for theme in themes/*.txt; do \
+			if [ -f "$$theme" ]; then \
+				install -m 0644 "$$theme" $(DESTDIR)$(THEMEDIR)/; \
+			fi; \
+		done; \
+	fi
 
 .PHONY: uninstall
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/bin/kew
 	rm -f $(DESTDIR)$(MAN_DIR)/man1/kew.1
+	rm -rf $(DESTDIR)$(THEMEDIR)
 
 .PHONY: clean
 clean:
