=== debian/changelog ===
kew (3.5.2+ds-2) unstable; urgency=medium

  * d/rules: Apply patch from helmut to fix FTCBS (Closes: #1115553)

 -- Matthias Geiger <werdahias@debian.org>  Mon, 13 Oct 2025 13:13:26 +0200

kew (3.5.2+ds-1) unstable; urgency=medium

  * d/watch: Switch to v5 and new codeberg upstream
  * d/u/metadata: Update for new codeberg location
  * d/control: Update Homepage for new codeberg location
  * d/gbp.conf: Fix upstream-vcs tags
  * New upstream release
  * d/control: Drop obsolete Rules-Require-Root field
  * d/copyright: Update, alac is no longer vendored

 -- Matthias Geiger <werdahias@debian.org>  Wed, 08 Oct 2025 22:10:22 +0200
