=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: sound
 Priority: optional
 Maintainer: Matthias Geiger <werdahias@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  libavformat-dev,
@@ -20,7 +19,7 @@
  libtag-dev,
  libvorbis-dev,
 Standards-Version: 4.7.2
-Homepage: https://github.com/ravachol/kew
+Homepage: https://codeberg.org/ravachol/kew
 Vcs-Browser: https://salsa.debian.org/debian/kew
 Vcs-Git: https://salsa.debian.org/debian/kew.git
