=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEBUG=1

include /usr/share/dpkg/architecture.mk

ARCH_MAP_i686 = i386

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- ARCH=$(or $(ARCH_MAP_$(DEB_HOST_GNU_CPU)),$(DEB_HOST_GNU_CPU))
