## kew 3.6.4+ds

=== debian/changelog ===
kew (3.6.4+ds-1) unstable; urgency=medium

  * New upstream release
  * d/control: Require miniaudio >= 0.11.23
  * d/rules: Skip dwz; it fails otherwise

 -- Matthias Geiger <werdahias@debian.org>  Tue, 25 Nov 2025 20:51:04 +0100
