=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libfreeimage-dev,
  libglib2.0-dev,
  libnotify-dev,
- libminiaudio-dev (>= 0.11.21~~),
+ libminiaudio-dev (>= 0.11.23~~),
  libogg-dev,
  libopus-dev,
  libopusfile-dev,
