=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,5 @@
 
 override_dh_auto_build:
 	dh_auto_build -- ARCH=$(or $(ARCH_MAP_$(DEB_HOST_GNU_CPU)),$(DEB_HOST_GNU_CPU))
+
+override_dh_dwz:
