## kew 3.7.3+ds

=== Makefile ===
--- 
+++ 
@@ -22,18 +22,16 @@
   endif
 endif
 
-# Adjust the PREFIX for macOS and Linux
-ifeq ($(UNAME_S), Darwin)
-    ifeq ($(ARCH), arm64)
-        PREFIX ?= /usr/local
+PREFIX    ?= /usr/local
+
+ifeq ($(UNAME_S),Darwin)
+    ifeq ($(ARCH),arm64)
         PKG_CONFIG_PATH := /opt/homebrew/lib/pkgconfig:/opt/homebrew/share/pkgconfig:$(PKG_CONFIG_PATH)
     else
-        PREFIX ?= /usr/local
         PKG_CONFIG_PATH := /usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:$(PKG_CONFIG_PATH)
     endif
-else
-    PREFIX ?= /usr/local
-    PKG_CONFIG_PATH := /usr/lib/x86_64-linux-gnu/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig:$(PKG_CONFIG_PATH)
+
+    export PKG_CONFIG_PATH
 endif
 
 # Default USE_FAAD to auto-detect if not set by user
@@ -53,7 +51,7 @@
                        [ -f "/data/data/com.termux/files/usr/local/lib/libfaad2.so" ] && echo 1 || echo 0)
   else
     # Non-Android build - try pkg-config first
-    USE_FAAD = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --exists faad && echo 1 || echo 0)
+    USE_FAAD = $(shell $(PKG_CONFIG) --exists faad && echo 1 || echo 0)
 
     ifeq ($(USE_FAAD), 0)
         # If pkg-config fails, try to find libfaad dynamically in common paths
@@ -64,14 +62,26 @@
                          [ -f /usr/local/lib/libfaad.dylib ] || [ -f /lib/x86_64-linux-gnu/libfaad.so.2 ] && echo 1 || echo 0)
     endif
   endif
-
-endif
-
-# Compiler flags
-COMMONFLAGS = -I/usr/include -I/opt/homebrew/include -I/usr/local/include -I/usr/lib -Iinclude/minimp4 \
-         -I/usr/include/chafa -I/usr/lib/chafa/include -I/usr/lib64/chafa/include -I/usr/include/ogg -I/usr/include/opus \
-         -I/usr/include/stb -Iinclude/stb_image -I/usr/include/glib-2.0 \
-         -I/usr/lib/glib-2.0/include -I/usr/lib64/glib-2.0/include -Iinclude/miniaudio -Iinclude -Iinclude/nestegg -I/usr/include/gdk-pixbuf-2.0
+endif
+
+LOCAL_INC = \
+    -Isrc \
+    -Iinclude \
+    -Iinclude/minimp4 \
+    -Iinclude/stb_image \
+    -Iinclude/miniaudio \
+    -Iinclude/nestegg
+
+ifeq ($(UNAME_S),Darwin)
+    PKG_LIBS = gio-2.0 chafa fftw3f opus opusfile vorbis vorbisfile ogg glib-2.0 taglib gdk-pixbuf-2.0
+else
+    PKG_LIBS = gio-2.0 chafa fftw3f opus opusfile vorbis vorbisfile ogg glib-2.0 taglib
+endif
+
+PKG_CFLAGS  = $(shell $(PKG_CONFIG) --cflags $(PKG_LIBS))
+PKG_LDFLAGS = $(shell $(PKG_CONFIG) --libs $(PKG_LIBS))
+
+COMMONFLAGS = $(LOCAL_INC) $(PKG_CFLAGS)
 
 ifeq ($(DEBUG), 1)
 COMMONFLAGS += -g -DDEBUG
@@ -79,9 +89,8 @@
 COMMONFLAGS += -O2
 endif
 
-COMMONFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags gio-2.0 chafa fftw3f opus opusfile vorbis ogg glib-2.0 taglib)
 COMMONFLAGS += -DMA_NO_AAUDIO
-COMMONFLAGS += -fstack-protector-strong -Wformat -Werror=format-security -fPIE -D_FORTIFY_SOURCE=2
+COMMONFLAGS += -fstack-protector-strong -Wformat -Wno-format-security -fPIE -D_FORTIFY_SOURCE=2
 COMMONFLAGS += -Wall -Wextra -Wpointer-arith
 
   # Check if we're in Termux environment
@@ -96,7 +105,7 @@
 CXXFLAGS = $(COMMONFLAGS) -std=c++11
 
 # Libraries
-LIBS = -L/usr/lib -lm -lopusfile -lglib-2.0 -lpthread $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs gio-2.0 chafa fftw3f opus opusfile ogg vorbis vorbisfile glib-2.0 taglib)
+LIBS = -lm -lopusfile -lglib-2.0 -lpthread $(PKG_LDFLAGS)
 LIBS += -lstdc++
 
 LDFLAGS = -logg -lz
@@ -150,20 +159,30 @@
 
 OBJDIR = src/obj
 
-SRCS = src/common_ui.c  src/common.c src/theme.c src/sound.c src/directorytree.c src/notifications.c \
-       src/soundcommon.c src/m4a.c src/search_ui.c src/playlist_ui.c \
-       src/player_ui.c src/soundbuiltin.c src/mpris.c src/playerops.c \
-       src/utils.c src/file.c src/imgfunc.c src/cache.c src/songloader.c \
-       src/playlist.c src/term.c src/settings.c src/visuals.c src/kew.c
+SRCS = src/common/appstate.c src/ui/common_ui.c src/common/common.c \
+       src/utils/utils.c src/utils/file.c src/utils/cache.c src/utils/term.c \
+       src/sound/sound.c src/sound/m4a.c src/sound/sound_builtin.c src/sound/audiobuffer.c \
+       src/sound/decoders.c src/sound/audio_file_info.c src/sound/playback.c src/sound/volume.c \
+       src/sys/sys_integration.c src/sys/notifications.c src/sys/mpris.c \
+       src/ops/playback_ops.c src/ops/playback_clock.c src/ops/playback_system.c \
+       src/ops/playlist_ops.c src/ops/library_ops.c src/ops/track_manager.c src/ops/playback_state.c \
+       src/ui/control_ui.c  src/ui/input.c src/ui/playlist_ui.c  src/ui/search_ui.c  src/ui/player_ui.c \
+       src/ui/visuals.c src/ui/chroma.c src/ui/queue_ui.c src/ui/settings.c  src/ui/cli.c \
+       src/data/theme.c src/data/directorytree.c src/data/lyrics.c src/data/img_func.c src/data/song_loader.c  \
+       src/data/playlist.c  src/kew.c
 
 # TagLib wrapper
-WRAPPER_SRC = src/tagLibWrapper.cpp
+WRAPPER_SRC = src/data/tagLibWrapper.cpp
 WRAPPER_OBJ = $(OBJDIR)/tagLibWrapper.o
 
 MAN_PAGE = kew.1
 MAN_DIR ?= $(PREFIX)/share/man
 DATADIR ?= $(PREFIX)/share
+LOCALEDIR ?= $(DATADIR)/locale
 THEMEDIR = $(DATADIR)/kew/themes
+THEMESRCDIR := $(CURDIR)/themes
+
+DEFINES += -DLOCALEDIR=\"$(LOCALEDIR)\"
 
 all: kew
 
@@ -206,18 +225,32 @@
 
 .PHONY: install
 install: all
+	# Create directories
 	mkdir -p $(DESTDIR)$(MAN_DIR)/man1
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
 	mkdir -p $(DESTDIR)$(THEMEDIR)
+	mkdir -p $(DESTDIR)$(LOCALEDIR)/ja/LC_MESSAGES
+	mkdir -p $(DESTDIR)$(LOCALEDIR)/zh_CN/LC_MESSAGES
+
+	# Install binary and man page
 	install -m 0755 kew $(DESTDIR)$(PREFIX)/bin/kew
 	install -m 0644 docs/kew.1 $(DESTDIR)$(MAN_DIR)/man1/kew.1
-	@if [ -d themes ]; then \
-		for theme in themes/*.theme; do \
+
+	# Install Chinese translation
+	install -m 0644 locale/zh_CN/LC_MESSAGES/kew.mo \
+	$(DESTDIR)$(LOCALEDIR)/zh_CN/LC_MESSAGES/kew.mo
+
+	# Install Japanese translation
+	install -m 0644 locale/ja/LC_MESSAGES/kew.mo \
+	$(DESTDIR)$(LOCALEDIR)/ja/LC_MESSAGES/kew.mo
+
+	@if [ -d $(THEMESRCDIR) ]; then \
+	for theme in $(THEMESRCDIR)/*.theme; do \
 			if [ -f "$$theme" ]; then \
 				install -m 0644 "$$theme" $(DESTDIR)$(THEMEDIR)/; \
 			fi; \
 		done; \
-		for theme in themes/*.txt; do \
+		for theme in $(THEMESRCDIR)/*.txt; do \
 			if [ -f "$$theme" ]; then \
 				install -m 0644 "$$theme" $(DESTDIR)$(THEMEDIR)/; \
 			fi; \
@@ -229,7 +262,11 @@
 	rm -f $(DESTDIR)$(PREFIX)/bin/kew
 	rm -f $(DESTDIR)$(MAN_DIR)/man1/kew.1
 	rm -rf $(DESTDIR)$(THEMEDIR)
+	rm -f $(DESTDIR)$(LOCALEDIR)/ja/LC_MESSAGES/kew.mo
+	rm -f $(DESTDIR)$(LOCALEDIR)/zh_CN/LC_MESSAGES/kew.mo
 
 .PHONY: clean
 clean:
 	rm -rf $(OBJDIR) kew
+i18n:
+	$(MAKE) -f Makefile.i18n i18n
