=== debian/changelog ===
kew (3.7.3+ds-1) unstable; urgency=medium

  * d/control: Opt into dh-compat 14
  * New upstream release
  * d/control: Bump S-V to 4.7.3; drop Priority field
  * d/patches: Rebase for new upstream
  * Add patch to build with system stb library

 -- Matthias Geiger <werdahias@debian.org>  Wed, 24 Dec 2025 00:14:46 +0100
