=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kew
 Section: sound
-Priority: optional
 Maintainer: Matthias Geiger <werdahias@debian.org>
+X-DH-Compat: 14
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 13.17),
  libavformat-dev,
  libchafa-dev,
  libfaad-dev,
@@ -18,7 +18,7 @@
  libstb-dev (>= 0.0~git20241109.5c20573+ds~~),
  libtag-dev,
  libvorbis-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://codeberg.org/ravachol/kew
 Vcs-Browser: https://salsa.debian.org/debian/kew
 Vcs-Git: https://salsa.debian.org/debian/kew.git
